image: alpine:3.19.1

# Reference
# https://docs.gitlab.com/ee/user/project/pages
# https://docs.gitlab.com/ee/ci/yaml/index.html#job-keywords
# https://docs.gitlab.com/ee/ci/jobs/job_artifacts.html

pages:
  script:
    - cp -r "./CSS Art" "./public/css-art"
    - cp -r "./CSS Art/art.html" "./public/css-art/index.html"
    - cp -r "./Glam Up My Markup" "./public/glam-up-my-markup"
    - cp -r "./Glam Up My Markup/glamup.html" "./public/glam-up-my-markup/index.html"
  artifacts:
    paths:
      # The folder that contains the files to be exposed at the Page URL
      - public
  rules:
    # This ensures that only pushes to the default branch will trigger
    # a pages deploy
    - if: $CI_COMMIT_REF_NAME == $CI_DEFAULT_BRANCH
